Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationModuleServiceLoader

java.lang.Object
be.ehealth.technicalconnector.config.impl.ConfigurationModuleServiceLoader

All Implemented Interfaces:
  `ConfigurationModule`

public class ConfigurationModuleServiceLoader extends Object implements ConfigurationModule
Configuration Module to dump the serive used by the `ServiceLoader` Implementation of `ConfigurationModule`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SERVICELOADER_ROOTKEY`
  Root key used to dump the service loader implementation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationModuleServiceLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Configuration config)`
  Method that initialise the configuration module.
  `void`
  `unload()`
  Method that restores the configuration module and reset the system to the initial situation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICELOADER_ROOTKEY

    public static final String SERVICELOADER_ROOTKEY
    Root key used to dump the service loader implementation
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationModuleServiceLoader

    public ConfigurationModuleServiceLoader()

- ## Method Details

  - ### init

    public void init(Configuration config) throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that initialise the configuration module.
    Specified by:
      `init` in interface `ConfigurationModule`
    Parameters:
      `config` -
    Throws:
      `TechnicalConnectorException`

  - ### unload

    public void unload() throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that restores the configuration module and reset the system to the initial situation.
    Specified by:
      `unload` in interface `ConfigurationModule`
    Throws:
      `TechnicalConnectorException`